Show Menu
TEMAS×

Actualización a AEM 6.5 Forms en OSGi

Puede realizar una actualización directa de AEM 6.3 Forms o AEM 6.4 Forms a AEM 6.5 Forms.
No está disponible la ruta de actualización directa de AEM 6.0 Forms, AEM 6.1 Forms y AEM 6.2 Forms a AEM 6.5 Forms. Realice una actualización intermedia a AEM 6.2 Forms , actualice a AEM 6.3 Forms o actualice a AEM 6.4 Forms y, a continuación, actualice AEM 6.3 Forms o AEM 6.4 Forms a AEM 6.5 Forms.
Para actualizar AEM 6.3 Forms o AEM 6.4 Forms a AEM 6.5 Forms, haga lo siguiente:
  1. Actualice la instancia de AEM existente a AEM 6.5. Los pasos se enumeran a continuación:
    1. Instale el Service Pack y los parches más recientes para AEM 6.3 Forms o AEM 6.4 Forms. Para obtener más información, consulte AEM Sustenance Hub .
    2. Prepare la instancia de origen para la actualización. Para obtener más información, consulte Actualización a AEM 6.5 .
    3. Descargue el inicio rápido de AEM 6.5 .
    4. (Solo instalaciones basadas en Unix/Linux) Si utiliza UNIX o Linux como sistema operativo subyacente, abra la ventana de terminal, navegue a la carpeta que contenga crx-quickstart y ejecute el siguiente comando:
      chmod -R 755 ../crx-quickstart
    5. Actualice su instancia de AEM a AEM 6.3. Para obtener instrucciones paso a paso, consulte Actualización a AEM 6.5 .
      Antes de continuar con los siguientes pasos, espere hasta que los mensajes ServiceEvent REGISTERED y ServiceEvent UNREGISTER dejen de aparecer en el archivo <crx-repository>/error.log.
      Una vez que el servidor está en funcionamiento, algunos paquetes de AEM Forms permanecen en estado de instalación. El número de paquetes puede variar para cada instalación. Puede ignorar con seguridad el estado de estos paquetes. Los paquetes se muestran en https://' # : # '/system/console/.
  2. Instale el paquete del complemento AEM Forms. Los pasos se enumeran a continuación:
    1. Abra Distribución de software . Necesita un Adobe ID para iniciar sesión en la distribución de software.
    2. Toque Adobe Experience Manager disponible en el menú de encabezado.
    3. En la sección Filtros :
      1. Seleccione Formularios en la lista desplegable Solución .
      2. Seleccione la versión y escriba el paquete. También puede utilizar la opción Buscar descargas para filtrar los resultados.
    4. Toque el nombre del paquete aplicable a su sistema operativo, seleccione Aceptar los términos del EULA y toque Descargar .
    5. Abra el Administrador de paquetes y haga clic en Cargar paquete para cargar el paquete.
    6. Select the package and click Install .
      También puede descargar el paquete mediante el vínculo directo que aparece en el artículo de versiones de AEM Forms.
      Después de instalar el paquete, se le pedirá que reinicie la instancia de AEM. No detenga inmediatamente el servidor. Antes de detener el servidor de AEM Forms, espere hasta que los mensajes ServiceEvent REGISTERED y ServiceEvent UNREGISTERED dejen de aparecer en el archivo <crx-repository>/error.log y el registro sea estable. Además, algunos paquetes pueden permanecer en el estado de instalación. Puede ignorar con seguridad el estado de estos paquetes.
  3. Reinicie la instancia de AEM.
  4. Realice actividades posteriores a la instalación.
    • Ejecutar la utilidad de migración
      La utilidad de migración hace que los formularios adaptables y los recursos de gestión de correspondencia de versiones anteriores sean compatibles con los formularios de AEM 6.5. Puede descargar la utilidad desde Distribución de software de AEM. Para obtener información paso a paso sobre cómo configurar y utilizar la utilidad de migración, consulte Utilidad de migración.
      Si utiliza Sample para integrar borradores y componentes de envíos con la base de datos y actualizar desde una versión anterior, ejecute las siguientes consultas SQL después de realizar la actualización:
      UPDATE metadata m, additionalmetadatatable am
      SET m.dataType = am.value
      WHERE m.id = am.id
      AND am.key = 'dataType'
      
      
      DELETE from additionalmetadatatable
      WHERE `key` = 'dataType'
      
      
    • (Si solo se actualiza desde AEM 6.2 Forms o versiones anteriores) Vuelva a configurar Adobe Sign
      Si tenía Adobe Sign configurado en la versión anterior de AEM Forms, vuelva a configurar Adobe Sign de AEM cloud services. Para obtener más información, consulte Integración de Adobe Sign con AEM Forms .
    • Compatibilidad con jQuery
      En AEM 6.5 Forms, la versión de jQuery se actualiza a 3.2.1 y la versión de la interfaz de usuario de jQuery se actualiza a 1.12.1. AEM Form utiliza JQuery en modo sin conflicto . Por lo tanto, si utiliza cualquier otra versión de jQuery, no se mostrará ningún problema al realizar una actualización. Sin embargo, al actualizar a AEM 6.5 Forms:
      • Asegúrese de que los componentes personalizados, si los hay, sean compatibles con las versiones de jQuery admitidas.
      • Elimine las API no compatibles de los componentes personalizados. Consulte la guía de actualización para ver la lista de las API eliminadas. Por ejemplo, se elimina la compatibilidad con las API load(), .unload() y .error(). Utilice el método .on() en lugar de las API mencionadas. Por ejemplo, cambie $("img").load(fn) a $("img").on("load", fn).
    • (Si solo se actualiza desde AEM 6.2 Forms o versiones anteriores) Vuelva a configurar los análisis y los informes
      En AEM 6.4 Forms, las variables de tráfico para el evento de origen y de éxito para impresión no están disponibles. Por lo tanto, al actualizar desde AEM 6.2 Forms o versiones anteriores, los AEM Forms dejan de enviar datos al servidor de Adobe Analytics y los informes de análisis para los formularios adaptables no están disponibles. Además, AEM 6.4 Forms introduce variables de tráfico para la versión de análisis de formularios y eventos de éxito para la cantidad de tiempo empleado en un campo. Por lo tanto, vuelva a configurar los análisis y los informes para el entorno de AEM Forms. Para ver los pasos detallados, consulte Configuración de análisis e informes .
  5. Compruebe que el servidor se ha actualizado correctamente, que todos los datos también se han migrado correctamente y que puede funcionar con normalidad.
    • Compruebe el estado de los paquetes: Asegúrese de que todos los paquetes están en estado activo.
    • Verificar replicación y replicación inversa: Publique, rellene y envíe algunos formularios migrados. Compruebe también los datos enviados.
    • Verificar el acceso a las interfaces de usuario de administrador y desarrollador: Inicie sesión en una instancia de AEM desde una cuenta de administrador y compruebe que tiene acceso a las siguientes direcciones URL:
      • https://'[server]:[port]'/crx/packmgr
      • https://'[server]:[port]'/crx/de
      • https://'[server]:[port]'/aem/forms.html/content/dam/formsanddocuments
    En AEM 6.4 Forms, la estructura del repositorio crx ha cambiado. Si actualiza de 6.3 Forms a AEM 6.5 Forms, utilice las rutas modificadas para la personalización que vuelva a crear. Para obtener la lista completa de las rutas cambiadas, consulte Reestructuración del repositorio de formularios en AEM .